<?php
/**
 *
 * @author Adhidarma <adhisimon@gmail.com>
 */
class RoleModel extends Model {
    protected $table_name = 'roles';
    protected $table_fields = array(
        'title' => array(
            'type' => \DB\SQL\Schema::DT_VARCHAR128,
            'nullable' => false,
            'index' => true,
            'unique' => true,
        ),

        'description' => array(
            'type' => \DB\SQL\Schema::DT_VARCHAR512,
            'nullable' => true,
            'index' => false,
            'unique' => false,
        ),
    );

    protected $initial_rows = array(
        array(
            'title' => 'admin',
            'description' => 'Administrator'
        ),

        array(
            'title' => 'operator',
            'description' => 'Operator'
        ),
    );
}

